Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class Zip

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.bundling.AbstractArchiveTask
                      org.gradle.api.tasks.bundling.Zip

    class Zip
    extends AbstractArchiveTask

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `ZIP_EXTENSION`
`org.gradle.api.tasks.bundling.AntZip` | `antZip`

Constructor Summary
`Zip(Project project, java.lang.String name)`

Method Summary
`groovy.lang.Closure` | `createAntArchiveTask()`
`AntZip` | `getAntZip()`
`void` | `setAntZip(AntZip antZip)`
`ZipFileSet` | `zipFileSet(groovy.lang.Closure configureClosure)`
`ZipFileSet` | `zipFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)`

Methods inherited from class AbstractArchiveTask
addFileSetInternal, antDirective, createAntArchiveTask, createFileSetInternal, fileSet, fileSet, files, files, generateArchive, getAppendix, getArchiveName, getArchivePath, getBaseDir, getBaseName, getClassifier, getCustomName, getDestinationDir, getExtension, getMergeFileSets, getMergeGroupFileSets, getResourceCollections, getVersion, merge, mergeGroup, resourceCollections, setAppendix, setBaseDir, setBaseName, setClassifier, setCreateIfEmpty, setCustomName, setDestinationDir, setExtension, setMergeFileSets, setMergeGroupFileSets, setResourceCollections, setVersion

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### ZIP_EXTENSION

    public static final java.lang.String ZIP_EXTENSION

### antZip

    org.gradle.api.tasks.bundling.AntZip antZip

Constructor Detail

### Zip

    public Zip(Project project, java.lang.String name)

Method Detail

### createAntArchiveTask

    groovy.lang.Closure createAntArchiveTask()

### getAntZip

    public AntZip getAntZip()

### setAntZip

    public void setAntZip(AntZip antZip)

### zipFileSet

    ZipFileSet zipFileSet(groovy.lang.Closure configureClosure)

### zipFileSet

    ZipFileSet zipFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)

Groovy Documentation